// packageD/energy/userCard/userCard.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getdata();
  },
  goNotes(e){
    console.log(e);
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/packageE/energy/powerCancellation/powerCancellation?id='+ id,
    });
  },
  gocard(e){
    console.log(e);
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/packageE/energy/cardDetail/cardDetail?id='+id,
    });
  },
  gofamily(){
    wx.navigateTo({
      url: '/packageE/energy/familyMember/familyMember',
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getdata(){
    let urlStr = app.getNetAddresss("plugin.energy-cabin.frontend.user-terminal.member-card");
    let that = this;
    app._getNetWork({
      url: urlStr,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            family_card_pic:res.data.family_card_pic,
            once_card_pic:res.data.once_card_pic,
            time_card_pic:res.data.time_card_pic,
            familyCard:res.data.familyCard,
            onceCard:res.data.onceCard,
            timeCard:res.data.timeCard,
            result:res.data
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  }
});